Télécharger un bundle avec la commande require

04 01 2017

Auparavant pour télécharger un bundle, on devait se rendre sur KnpBundles, suivre le lien Github, lire sa documentation et enfin inscrire dans son composer.json la ligne correspondant à la dépendance en précisant la version que l'on voulait. Par exemple dans le composer.json dans require:

"friendsofsymfony/rest-bundle" : "dev-master"

Puis lire la suite

 catégorie: Composer

Composer update erreur de memory limit

29 11 2016

7 commentaires

Composer update erreur de memory limit

Quand votre projet Symfony devient conséquent et que les bundles s'accumulent dans votre composer.json, vous pourriez rencontrez une erreur de memory limit.

Ainsi quand vous chargez vos dépendances avec la commande:

php composer.phar update

Il se peut que Composer affiche l'erreur suivante:

Fatal error: Allowed memory size of 536870912 lire la suite

 catégorie: Composer